What is meta? ×
Meta Stack Exchange is where users like you discuss bugs, features, and support issues that affect the software powering all 128 Stack Exchange communities.

http://i.imgur.com/CvSfX.png

As the photo - Variable 'n' has already been declared.

I've tried clearing my cache, as well as using a new user profile with no extensions, but it doesn't work.

Might be useful to know so it can be fixed before more people are using Chrome (If it's SO's fault of course!)

share|improve this question
11  
This probably won't be addressed; pre-release versions aren't supported and the developers usually ignore issues with them. –  Jeremy Banks Jan 13 '12 at 16:55
3  
Hmm, I'm unable to reproduce this in Chrome 18 (although the error suggests a browser-independent issue anyway). –  Tim Stone Jan 13 '12 at 17:09
4  
-1 For making me think my Chrome was horribly out of date... –  Yannis Jan 13 '12 at 17:18
    
I'm on the beta release and I too was like "18 WTF BBQ" –  Ben Brocka Jan 13 '12 at 20:24
    
Chrome 18? Get you. @ZaphodBeeblebrox yeh I checked mine too –  Chris S Jan 13 '12 at 20:27
    
I am also facing this problem –  user Feb 2 '12 at 17:31
    
Yeah, I'm having problems every other day it seems. –  Rich Bradshaw Feb 2 '12 at 19:19

3 Answers 3

up vote 13 down vote accepted

This is only a problem when the "Experimental Javascript" flag is enabled. I've disabled it in chrome://flags, and now everything is fine again:

It should be noted that this flag also causes problems with Google's own Google Maps - I would disable it unless it's really needed.

share|improve this answer
    
There is already a bug report: code.google.com/p/chromium/issues/detail?id=112675 –  kenorb Jul 31 '12 at 13:06
1  
The actual bug report for this particular issue is code.google.com/p/v8/issues/detail?id=1942; this bug was fixed in code.google.com/p/v8/source/detail?r=10698, so in current Chrome versions, experimental JS shouldn't break anymore. –  balpha Jul 31 '12 at 14:11

While pre-release browsers really aren't supported, re-declared variables are a bug either way. I suppose Chrome's strict mode is getting stricter. I have removed (next build) a couple of re-declarations; none of them was called n in the current minified version, though (they're j and q). So I'll call this .

share|improve this answer
    
This seems an odd one doesn't it. I've tried refreshing/new profile etc etc but still no dice. Looking at the full.js, the minified version does have var n= in it 28 times, so perhaps the minification is a little lax on something that Chrome's strict mode chokes on. If it starts working again I'll reply here, as at this point I'd assume it's a Chrome bug. –  Rich Bradshaw Jan 13 '12 at 19:36
    
FYI, the change has been built about 1.5 hours ago. –  balpha Jan 13 '12 at 19:55
    
Working again (as of 16th Jan) - this can be marked as fixed. –  Rich Bradshaw Jan 16 '12 at 9:17
    
I'm still experiencing this error on Chrome 18 for Mac OS X. It's a particularly irritating bug in that it prevents all Javascript, renderinging buttons for comments, voting, etc useless. I've had to switch to Firefox to post this. –  Liam Newmarch Jan 20 '12 at 12:49
3  
Upon experimentation, I've discovered that this is only a problem when the "Experimental Javascript" flag is enabled. I've disabled it, and now everything is fine again. –  Liam Newmarch Jan 21 '12 at 16:14
    
I am still facing this problem –  user Feb 2 '12 at 17:32
    
@LiamNewmarch: You are right. Problem lies in "Experimental Javascript" flag –  user Feb 2 '12 at 17:34
1  
The n still/again seems to be bothering some: JavaScript error "Variable 'n' has already been declared" prevents UI interaction. –  Arjan Feb 3 '12 at 8:35
1  
@Arjan: Since this isn't causing issues in any supported browser, I'm not really worried. If someone tells me where exactly this error is happening, I'll fix it; otherwise, it'll have to wait until this appears in the Chrome release version so I can hunt it down myself. –  balpha Feb 3 '12 at 10:53

Pre-release browsers aren't supported (as Jeremy Banks already noted).

However, balpha did recently make changes to full.js, where this error appears to be occurring. It may be related.

share|improve this answer
10  
I make changes to that file all the time :) –  balpha Jan 13 '12 at 17:14

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .